## golang-github-prometheus-client-golang 1.20.2

=== debian/changelog ===
golang-github-prometheus-client-golang (1.20.2-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 23 Aug 2024 19:16:31 +0000

=== debian/control ===
Source: golang-github-prometheus-client-golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Lucas Kanashiro <kanashiro@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-beorn7-perks-dev,
               golang-github-cespare-xxhash-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-json-iterator-go-dev,
               golang-github-klauspost-compress-dev,
               golang-github-kylelemons-godebug-dev,
               golang-github-prometheus-client-model-dev (>= 0.5.0),
               golang-github-prometheus-common-dev (>= 0.55.0),
               golang-github-prometheus-procfs-dev,
               golang-google-protobuf-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
Homepage: https://github.com/prometheus/client_golang.git
XS-Go-Import-Path: github.com/prometheus/client_golang

Package: golang-github-prometheus-client-golang-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-beorn7-perks-dev,
         golang-github-cespare-xxhash-dev,
         golang-github-davecgh-go-spew-dev,
         golang-github-json-iterator-go-dev,
         golang-github-klauspost-compress-dev,
         golang-github-kylelemons-godebug-dev,
         golang-github-prometheus-client-model-dev (>= 0.5.0),
         golang-github-prometheus-common-dev (>= 0.55.0),
         golang-github-prometheus-procfs-dev,
         golang-google-protobuf-dev,
         ${misc:Depends},
Provides: golang-prometheus-client-dev,
Breaks: golang-github-cloudflare-redoctober-dev (<< 0.0~git20161017.0.78e9720-4~),
        golang-github-grpc-ecosystem-go-grpc-prometheus-dev (<< 1.2.0+git20191002~),
        golang-github-mwitkow-go-conntrack-dev (<< 0.0~git20190716~),
        golang-github-prometheus-common-dev (<< 0.44.0~),
        golang-redoctober (<< 0.0~git20161017.0.78e9720-4~),
        prometheus-postfix-exporter (<< 0.2.0-1~),
Description: Prometheus instrumentation library for Go applications
 This is the Prometheus Go client library. It provides two main functions:
 .
  * The exposition library is used to export metrics to a Prometheus server or
   pushgateway.
 .
  * The consumption library is used to process metrics exported by a Prometheus
   client. (The Prometheus server is using that library.)

## golang-github-prometheus-client-golang 1.20.5

=== debian/changelog ===
golang-github-prometheus-client-golang (1.20.5-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 31 Oct 2024 18:13:54 +0000

golang-github-prometheus-client-golang (1.20.4-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 19 Sep 2024 13:03:13 +0000

golang-github-prometheus-client-golang (1.20.3-2) unstable; urgency=medium

  * Add new 0005-Support-prometheus-common-0.59.0.patch
  * Bump golang-github-prometheus-common-dev version constraint (>= 0.59.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 09 Sep 2024 12:11:52 +0000

golang-github-prometheus-client-golang (1.20.3-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 08 Sep 2024 14:07:34 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Exclude sample code from compilation and installation.
export DH_GOLANG_EXCLUDES := dagger examples tutorial

%:
	dh $@ --buildsystem=golang --builddirectory=_build

## golang-github-prometheus-client-golang 1.21.0

=== debian/changelog ===
golang-github-prometheus-client-golang (1.21.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete patches
    - 0004-Add-metrics-in-test-for-Go-1.23.patch
    - 0005-Support-prometheus-common-0.59.0.patch
  * Add new 0004-Add-collector-metrics-test-for-Go-1.24.patch
  * debian/rules: update DH_GOLANG_EXCLUDES

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 19 Feb 2025 21:55:16 +0000

## golang-github-prometheus-client-golang 1.21.1

=== tutorials/whatsup/Makefile ===
.PHONY: help
help: ## Displays help.
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n\nTargets:\n"} /^[a-z0-9A-Z_-]+:.*?##/ { printf "  \033[36m%-10s\033[0m %s\n", $$1, $$2 }' $(MAKEFILE_LIST)

.PHONY: init
init: ## init
	$(MAKE) stop
	go test -count 1 -v -tags=interactive -run ^TestPlayground ./internal & # count 1 is to avoid cache.

.PHONY: stop
stop: ## stop init
	@curl -s http://localhost:19920 || true

.PHONY: run
run: ## run whatsup
	@go run main.go -config-file=./whatsup.yaml -address=:99

.PHONY: metrics
metrics: ## get metrics from whatsup
	@curl -H 'Accept: application/openmetrics-text' localhost:99/metrics

.PHONY: whatsup
whatsup: ## ask what's up
	@curl localhost:99/whatsup

.PHONY: test
test: ## run acceptance tests
	go test -count 1 -v -tags=interactive -run ^TestAcceptance ./internal & # count 1 is to avoid cache.

=== debian/changelog ===
golang-github-prometheus-client-golang (1.21.1-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 04 Mar 2025 17:00:25 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-github-klauspost-compress-dev,
                golang-github-kylelemons-godebug-dev,
                golang-github-prometheus-client-model-dev (>= 0.5.0),
-               golang-github-prometheus-common-dev (>= 0.55.0),
+               golang-github-prometheus-common-dev (>= 0.59.0),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
 Standards-Version: 4.7.0
@@ -36,7 +36,7 @@
          golang-github-klauspost-compress-dev,
          golang-github-kylelemons-godebug-dev,
          golang-github-prometheus-client-model-dev (>= 0.5.0),
-         golang-github-prometheus-common-dev (>= 0.55.0),
+         golang-github-prometheus-common-dev (>= 0.59.0),
          golang-github-prometheus-procfs-dev,
          golang-google-protobuf-dev,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Exclude sample code from compilation and installation.
export DH_GOLANG_EXCLUDES := examples tutorials

%:
	dh $@ --buildsystem=golang --builddirectory=_build

## golang-github-prometheus-client-golang 1.23.0

=== Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include Makefile.common

BUF := $(FIRST_GOPATH)/bin/buf
BUF_VERSION ?= v1.39.0

$(BUF):
	go install github.com/bufbuild/buf/cmd/buf@$(BUF_VERSION)

.PHONY: deps
deps:
	$(MAKE) common-deps
	cd exp && $(GO) mod tidy && $(GO) mod download

.PHONY: test
test: deps common-test test-exp

.PHONY: test-short
test-short: deps common-test-short test-exp-short

.PHONY: generate-go-collector-test-files
file := supported_go_versions.txt
VERSIONS := $(shell cat ${file})
generate-go-collector-test-files:
	for GO_VERSION in $(VERSIONS); do \
		docker run \
			--platform linux/amd64 \
			--rm -v $(PWD):/workspace \
			-w /workspace \
			golang:$$GO_VERSION \
			bash ./generate-go-collector.bash; \
	done; \
	go mod tidy

.PHONY: fmt
fmt: common-format

.PHONY: proto
proto: ## Regenerate Go from remote write proto.
proto: $(BUF)
	@echo ">> regenerating Prometheus Remote Write proto"
	@cd exp/api/remote/genproto && $(BUF) generate
	@cd exp/api/remote && find genproto/ -type f -exec sed -i '' 's/protohelpers "github.com\/planetscale\/vtprotobuf\/protohelpers"/protohelpers "github.com\/prometheus\/client_golang\/exp\/internal\/github.com\/planetscale\/vtprotobuf\/protohelpers"/g' {} \;
	# For some reasons buf generates this unused import, kill it manually for now and reformat.
	@cd exp/api/remote && find genproto/ -type f -exec sed -i '' 's/_ "github.com\/gogo\/protobuf\/gogoproto"//g' {} \;
	@cd exp/api/remote && go fmt ./genproto/...
	$(MAKE) fmt

.PHONY: test-exp
test-exp:
	cd exp && $(GOTEST) $(test-flags) $(GOOPTS) $(pkgs)

.PHONY: test-exp-short
test-exp-short:
	cd exp && $(GOTEST) -short $(GOOPTS) $(pkgs)

=== debian/changelog ===
golang-github-prometheus-client-golang (1.23.0-2) unstable; urgency=medium

  * Team upload.
  * Disable tests that break with golang 1.25, Closes: #1117401

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 15 Oct 2025 09:55:47 -0400

golang-github-prometheus-client-golang (1.23.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Update dependencies:
    - add golang-github-google-go-cmp-dev
    - add golang-uber-goleak-dev
    - drop golang-github-davecgh-go-spew-dev
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 16 Aug 2025 19:23:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: golang-github-prometheus-client-golang
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
                golang-github-beorn7-perks-dev,
                golang-github-cespare-xxhash-dev,
-               golang-github-davecgh-go-spew-dev,
+               golang-github-google-go-cmp-dev,
                golang-github-json-iterator-go-dev,
                golang-github-klauspost-compress-dev,
                golang-github-kylelemons-godebug-dev,
@@ -19,11 +19,12 @@
                golang-github-prometheus-common-dev (>= 0.59.0),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
+               golang-uber-goleak-dev,
+Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.0
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
-Homepage: https://github.com/prometheus/client_golang.git
+Homepage: https://github.com/prometheus/client_golang
 XS-Go-Import-Path: github.com/prometheus/client_golang
 
 Package: golang-github-prometheus-client-golang-dev
@@ -31,7 +32,7 @@
 Multi-Arch: foreign
 Depends: golang-github-beorn7-perks-dev,
          golang-github-cespare-xxhash-dev,
-         golang-github-davecgh-go-spew-dev,
+         golang-github-google-go-cmp-dev,
          golang-github-json-iterator-go-dev,
          golang-github-klauspost-compress-dev,
          golang-github-kylelemons-godebug-dev,
@@ -39,6 +40,7 @@
          golang-github-prometheus-common-dev (>= 0.59.0),
          golang-github-prometheus-procfs-dev,
          golang-google-protobuf-dev,
+         golang-uber-goleak-dev,
          ${misc:Depends},
 Provides: golang-prometheus-client-dev,
 Breaks: golang-github-cloudflare-redoctober-dev (<< 0.0~git20161017.0.78e9720-4~),

## golang-github-prometheus-client-golang 1.23.2

=== debian/changelog ===
golang-github-prometheus-client-golang (1.23.2-1ubuntu1) resolute; urgency=medium

  * d/p/update-metrics-for-golang-1.25.patch: Update metrics to fix FTBFS
    against golang 1.25 (LP: #2125964)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 18 Feb 2026 17:19:13 -0500

golang-github-prometheus-client-golang (1.23.2-1) unstable; urgency=medium

  * New upstream release
  * Bump golang-github-prometheus-common-dev version constraint (>= 0.66.1)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 30 Dec 2025 13:28:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-prometheus-client-golang
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
@@ -16,7 +17,7 @@
                golang-github-klauspost-compress-dev,
                golang-github-kylelemons-godebug-dev,
                golang-github-prometheus-client-model-dev (>= 0.5.0),
-               golang-github-prometheus-common-dev (>= 0.59.0),
+               golang-github-prometheus-common-dev (>= 0.66.1),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
                golang-uber-goleak-dev,
@@ -37,7 +38,7 @@
          golang-github-klauspost-compress-dev,
          golang-github-kylelemons-godebug-dev,
          golang-github-prometheus-client-model-dev (>= 0.5.0),
-         golang-github-prometheus-common-dev (>= 0.59.0),
+         golang-github-prometheus-common-dev (>= 0.66.1),
          golang-github-prometheus-procfs-dev,
          golang-google-protobuf-dev,
          golang-uber-goleak-dev,
